PROGRAM test_radconv

  implicit none

  integer, parameter :: Nv=36
  
  double precision :: Tsurf, Psurf_v, Psurf_c, Psurf_o, Ttop_in, Ttop_out
  double precision :: flux_up, P0_v, P0_c, P0_o, g0, Rt
  double precision :: alb_clear, alb_cloud, const_sol

  double precision, dimension(Nv) :: spectrum
  
  integer :: cloud_flag, spher_flag, flag_cont, flag_grey, GP_flag, Ttop_flag
  integer :: Nz
  
  Ttop_in  =  200.
  Tsurf = 1200.
  
  Psurf_v = 300e5
  Psurf_c = 100e5
  Psurf_o =   1e5

  g0 = 9.81
  Rt = 6.371e6

  alb_clear = 0.2
  alb_cloud = 0.2
  const_sol = 1367/4.
  
  GP_flag = 0
  cloud_flag = 0
  spher_flag = 0
  flag_cont = 0
  flag_grey = 0
  Ttop_flag = 0
  

  Nz=384
  
  CALL radconv(Tsurf, Ttop_in, Ttop_out, Psurf_v, Psurf_c, Psurf_o, &
       flux_up, P0_v, P0_c, P0_o, spectrum, Ttop_flag, cloud_flag, flag_cont, &
       flag_grey, GP_flag, spher_flag, alb_clear, alb_cloud, const_sol, &
       g0, Rt, Nz)

  print*, 'flux_up = ',flux_up
  print*, 'P0_v = ',P0_v
  print*, 'P0_c = ',P0_c
  print*, 'P0_o = ',P0_o

END PROGRAM test_radconv
